Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.filters
Interface ChainableReader

All Known Implementing Classes:
  ClassConstants, ConcatFilter, EscapeUnicode, ExpandProperties, HeadFilter, LineContains, LineContainsRegExp, PrefixLines, ReplaceTokens, StripJavaComments, StripLineBreaks, StripLineComments, TabsToSpaces, TailFilter, TokenFilter, TokenFilter.ChainableReaderFilter, TokenFilter.DeleteCharacters

public interface ChainableReader

Interface indicating that a reader may be chained to another one.

Method Summary
`java.io.Reader` | `chain(java.io.Reader rdr)` Returns a reader with the same configuration as this one, but filtering input from the specified reader.

Method Detail

### chain

    public java.io.Reader chain(java.io.Reader rdr)

  Returns a reader with the same configuration as this one, but filtering input from the specified reader.

  Parameters:
    `rdr` - the reader which the returned reader should be filtering
  Returns:
    a reader with the same configuration as this one, but filtering input from the specified reader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.